package cn.stylefeng.team.view.modular.enums;

import cn.stylefeng.roses.kernel.rule.constants.RuleConstants;
import cn.stylefeng.roses.kernel.rule.exception.AbstractExceptionEnum;
import lombok.Getter;

@Getter
public enum ViewExceptionEnum implements AbstractExceptionEnum {

    VIEW_NOT_EXISTED(RuleConstants.USER_OPERATION_ERROR_TYPE_CODE + "10001", "查询结果不存在"),

    VIEW_NAME_REPEAT(RuleConstants.USER_OPERATION_ERROR_TYPE_CODE + "10002", "视图名称重复"),

    VIEW_CODE_REPEAT(RuleConstants.USER_OPERATION_ERROR_TYPE_CODE + "10003", "视图编码重复"),

    ONLY_ONE_LIST_VIEW(RuleConstants.USER_OPERATION_ERROR_TYPE_CODE + "10004", "只能有一个列表视图");

    private final String errorCode;

    private final String userTip;

    ViewExceptionEnum(String errorCode, String userTip) {
        this.errorCode = errorCode;
        this.userTip = userTip;
    }

}
